#!/bin/sh
#
# Códigos de salida:
#	0 - Operación exitosa
#	3 - Operación exitosa, pero no se seleccionó un archivo
#	
# Shell: POSIX compliant
# Autor: O. Sánchez <o-sanchez@linuxmail.org>

#_PATH="$HOME"
_PATH="$PWD"
book=$(find "$_PATH" -name '*.pdf' -printf '%f\n' | dmenu -l 10 -p "Library")
_book=$(find "$_PATH" -name "$book")

if [ -z "$book" ]; then
	exit 3
else
	zathura "$_book" &
	exit 0
fi
